FreeMat

- Main Page
- Related Pages

vtkDataSetGradient

Section: Visualization Toolkit Graphics Classes

# Usage

vtkDataSetGradient Computes per cell gradient of point scalar field or per point gradient of cell scalar field.

.SECTION Thanks This file is part of the generalized Youngs material interface reconstruction algorithm contributed by CEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France
BP12, F-91297 Arpajon, France.
Implementation by Thierry Carrard (CEA)

To create an instance of class vtkDataSetGradient, simply invoke its constructor as follows

      obj = vtkDataSetGradient

# Methods

The class vtkDataSetGradient has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetGradient class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetGradient = obj.NewInstance ()`
- `vtkDataSetGradient = obj.SafeDownCast (vtkObject o)`
- `obj.SetResultArrayName (string )` - Set/Get the name of computed vector array.
- `string = obj.GetResultArrayName ()` - Set/Get the name of computed vector array.